ValidationParams (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x9

## Class ValidationParams

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x9.ValidationParams

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ValidationParams
      extends ASN1Object

  Diffie-Hellman domain validation parameters.

       ValidationParams ::= SEQUENCE {
          seed         BIT STRING,
          pgenCounter  INTEGER
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationParams(byte[] seed, int pgenCounter)`
    `ValidationParams(DERBitString seed, ASN1Integer pgenCounter)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationParams` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static ValidationParams` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getPgenCounter()`
    `ASN1Integer` | `getPgenCounterObject()`
    `byte[]` | `getSeed()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationParams

          public ValidationParams(byte[] seed,
                                  int pgenCounter)

    - #### ValidationParams

          public ValidationParams(DERBitString seed,
                                  ASN1Integer pgenCounter)

  - ### Method Detail

    - #### getInstance

          public static ValidationParams getInstance(ASN1TaggedObject obj,
                                                     boolean explicit)

    - #### getInstance

          public static ValidationParams getInstance(java.lang.Object obj)

    - #### getSeed

          public byte[] getSeed()

    - #### getPgenCounter

          public java.math.BigInteger getPgenCounter()

    - #### getPgenCounterObject

          public ASN1Integer getPgenCounterObject()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.